Bug 537897 - Review Request: mingw32-openjpeg - mingw32 package for openjpeg
Review Request: mingw32-openjpeg - mingw32 package for openjpeg
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-16 13:03 EST by Adam Goode
Modified: 2009-12-25 16:33 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-06 20:42:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Goode 2009-11-16 13:03:41 EST
Spec URL: http://www.cs.cmu.edu/~agoode/tmp/mingw32-openjpeg.spec
SRPM URL: http://www.cs.cmu.edu/~agoode/tmp/mingw32-openjpeg-1.3-5.fc13.src.rpm
Description: 
mingw32 package for openjpeg
Comment 1 Stefan Riemens 2009-11-17 15:25:39 EST
Let's go for an informal review (I'm not yet sponsored, so I can't officially approve a package)

rpmlint output:
mingw32-openjpeg.src: W: macro-in-%description %{_mingw32_description}
mingw32-openjpeg-debuginfo.noarch: E: debuginfo-without-sources
3 packages and 0 specfiles checked; 1 errors, 1 warnings.

This is fine

OK: The package must be named according to the Package Naming Guideline.


OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .

OK: The package must meet the Packaging Guidelines .

OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.

OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

OK: The spec file must be written in American English.

OK: The spec file for the package MUST be legible.

OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

$ md5sum openjpeg*
f9a3ccfa91ac34b589e9bf7577ce8ff9  openjpeg_v1_3.tar.gz
f9a3ccfa91ac34b589e9bf7577ce8ff9  openjpeg_v1_3.tar.gz.orig

OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
It builds fine in mock

OK: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.

OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines; inclusion of those as BuildRequires is optional. Apply common sense.

OK: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
not applicable

OK: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
not applicable

OK: Packages must NOT bundle copies of system libraries.

OK: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
not applicable

OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.

OK: A Fedora package must not list a file more than once in the spec file's %files listings.

OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.

OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

OK: Each package must consistently use macros.

OK: The package must contain code, or permissable content.

OK: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).

OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.

OK: Header files must be in a -devel package.
Mingw packaging guidelines explicitly allow header files in the main package

OK: Static libraries must be in a -static package.
No static libs are packaged

OK: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
not applicable

OK: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
not applicable for mingw packages

OK: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
not applicable, no devel subpackage present nor needed

OK: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
not applicable (besides, mingw guidelines allow la files to be present)

OK: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
not applicable

OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
not applicable

OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

OK: All filenames in rpm packages must be valid UTF-8.

OK: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
not applicable

Ok: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
not available

OK: The reviewer should test that the package builds in mock.
it builds

OK: The package should compile and build into binary rpms on all supported architectures.
not applicable, this is a noarch package

?: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
I haven't tried it

OK: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
There are no scriptlets involved

OK: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
not applicable -- there are no subpackages

OK: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
not applicable, there are no pkgconfig files

OK: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
not appplicable

This package looks good to me

BTW, shouldn't the file ChangeLog be included as %doc?

hope this helps,
Stefan
Comment 2 Peter Lemenkov 2009-11-24 09:33:42 EST
(In reply to comment #1)

> BTW, shouldn't the file ChangeLog be included as %doc?

In many cases - not necessary. The ChangeLog is always too exhaustive for the average users (our intended auditory) - very often it  contains descriptions of almost every commit, so NEWS file with more simplified history would be far more valuable.

> hope this helps,
> Stefan  

Yes, indeed! You almost finished the Review.
Comment 3 Adam Goode 2009-11-24 10:38:08 EST
This is the mingw32 version of a package. So we don't want to ship the documentation that is a duplicate of what is in the native package.
Comment 4 Peter Lemenkov 2009-11-25 05:04:52 EST
Ok, after the informal but thorough review from Stefan, someone should just say 

APPROVED.
Comment 5 Adam Goode 2009-11-30 10:43:12 EST
New Package CVS Request
=======================
Package Name: mingw32-openjpeg
Short Description: mingw32 package for openjpeg
Owners: agoode
Branches: F-11 F-12
Comment 6 Kevin Fenzi 2009-12-03 01:36:40 EST
cvs done.
Comment 7 Moritz Barsnick 2009-12-25 16:33:44 EST
Wow, I think rpmlint needs some new rules. This package's dscription is borked. See new bug #550532.

Note You need to log in before you can comment on or make changes to this bug.